"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShopifyCspMiddleware = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const core_decorators_1 = require("../core.decorators");
const shopify_api_1 = require("@shopify/shopify-api");
let ShopifyCspMiddleware = exports.ShopifyCspMiddleware = class ShopifyCspMiddleware {
    constructor(shopifyApi) {
        this.shopifyApi = shopifyApi;
    }
    use(req, res, next) {
        const { shop } = req.query;
        const sanitizedShop = this.shopifyApi.utils.sanitizeShop(shop);
        if (this.shopifyApi.config.isEmbeddedApp && sanitizedShop) {
            res.setHeader('Content-Security-Policy', `frame-ancestors https://${encodeURIComponent(sanitizedShop)} https://admin.shopify.com;`);
        }
        else {
            res.setHeader('Content-Security-Policy', 'frame-ancestors none');
        }
        next();
    }
};
exports.ShopifyCspMiddleware = ShopifyCspMiddleware = tslib_1.__decorate([
    (0, common_1.Injectable)(),
    tslib_1.__param(0, (0, core_decorators_1.InjectShopify)()),
    tslib_1.__metadata("design:paramtypes", [Object])
], ShopifyCspMiddleware);
//# sourceMappingURL=csp.middleware.js.map